Package org.apache.sling.discovery.oak.cluster

## Class OakClusterViewService

- java.lang.Object
- - org.apache.sling.discovery.oak.cluster.OakClusterViewService

All Implemented Interfaces:
  `org.apache.sling.discovery.base.commons.ClusterViewService`

    public class OakClusterViewService
    extends Object
    implements org.apache.sling.discovery.base.commons.ClusterViewService

Oak-based implementation of the ClusterViewService interface.

### Constructor Summary

Constructors
`OakClusterViewService()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `activate()`
`org.apache.sling.discovery.commons.providers.spi.LocalClusterView` `getLocalClusterView()`
`protected org.apache.sling.api.resource.ResourceResolver` `getResourceResolver()`
`String` `getSlingId()`
`static OakClusterViewService` `testConstructor​(org.apache.sling.settings.SlingSettingsService settingsService, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory, org.apache.sling.discovery.commons.providers.spi.base.IdMapService idMapService, Config config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OakClusterViewService

    public OakClusterViewService()

### Method Detail

#### testConstructor

    public static OakClusterViewService testConstructor​(org.apache.sling.settings.SlingSettingsService settingsService,
                                                        org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory,
                                                        org.apache.sling.discovery.commons.providers.spi.base.IdMapService idMapService,
                                                        Config config)

#### activate

    public void activate()

#### getSlingId

    public String getSlingId()

Specified by:
  `getSlingId` in interface `org.apache.sling.discovery.base.commons.ClusterViewService`

#### getResourceResolver

    protected org.apache.sling.api.resource.ResourceResolver getResourceResolver()
                                                                          throws org.apache.sling.api.resource.LoginException

Throws:
  `org.apache.sling.api.resource.LoginException`

#### getLocalClusterView

    public org.apache.sling.discovery.commons.providers.spi.LocalClusterView getLocalClusterView()
                                                                                          throws org.apache.sling.discovery.base.commons.UndefinedClusterViewException

Specified by:
  `getLocalClusterView` in interface `org.apache.sling.discovery.base.commons.ClusterViewService`
Throws:
  `org.apache.sling.discovery.base.commons.UndefinedClusterViewException`